Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hsmf.extractor
Class OutlookTextExtactor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIOLE2TextExtractor
              org.apache.poi.hsmf.extractor.OutlookTextExtactor

    public class OutlookTextExtactor

extends org.apache.poi.POIOLE2TextExtractor

A text extractor for HSMF (Outlook) .msg files. Outputs in a format somewhat like a plain text email.

Constructor Summary
`OutlookTextExtactor(org.apache.poi.poifs.filesystem.DirectoryNode poifsDir)`
`OutlookTextExtactor(org.apache.poi.poifs.filesystem.DirectoryNode poifsDir, org.apache.poi.poifs.filesystem.POIFSFileSystem fs)` Use `OutlookTextExtactor(DirectoryNode)` instead
`OutlookTextExtactor(java.io.InputStream inp)`
`OutlookTextExtactor(MAPIMessage msg)`
`OutlookTextExtactor(org.apache.poi.poifs.filesystem.NPOIFSFileSystem fs)`
`OutlookTextExtactor(org.apache.poi.poifs.filesystem.POIFSFileSystem fs)`

Method Summary
`MAPIMessage` | `getMAPIMessage()` Returns the underlying MAPI message
`java.lang.String` | `getText()` Outputs something a little like a RFC822 email
`static void` | `main(java.lang.String[] args)`

Methods inherited from class org.apache.poi.POIOLE2TextExtractor
`getDocSummaryInformation, getFileSystem, getMetadataTextExtractor, getRoot, getSummaryInformation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutlookTextExtactor

    public OutlookTextExtactor(MAPIMessage msg)

### OutlookTextExtactor

    public OutlookTextExtactor(org.apache.poi.poifs.filesystem.DirectoryNode poifsDir,
                               org.apache.poi.poifs.filesystem.POIFSFileSystem fs)
                        throws java.io.IOException

  Use `OutlookTextExtactor(DirectoryNode)` instead

  Throws:
    `java.io.IOException`

### OutlookTextExtactor

    public OutlookTextExtactor(org.apache.poi.poifs.filesystem.DirectoryNode poifsDir)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

### OutlookTextExtactor

    public OutlookTextExtactor(org.apache.poi.poifs.filesystem.POIFSFileSystem fs)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

### OutlookTextExtactor

    public OutlookTextExtactor(org.apache.poi.poifs.filesystem.NPOIFSFileSystem fs)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

### OutlookTextExtactor

    public OutlookTextExtactor(java.io.InputStream inp)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMAPIMessage

    public MAPIMessage getMAPIMessage()

  Returns the underlying MAPI message

### getText

    public java.lang.String getText()

  Outputs something a little like a RFC822 email

  Specified by:
    `getText` in class `org.apache.poi.POITextExtractor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD